/* PRISMOD MODEL 
* Libor Dusek, Jan Vavra, Paolo Buonanno

PRISMOD is model for simulating prison population developed by Libor Dusek,
Jan Vavra, Paolo Buonanno in 2014-2015. It uses inflow-outflow approach to 
generate prisoner stocks from parameters estimated using microdata statistics
provided by Czech government institutions. 

Main aim of the models is to be used as a tool for evaluation of the impact of new 
policy proposals on prison population. 


Main page of the model with methodological details (in Czech)
http://idea.cerge-ei.cz/spoluprace

Authors can be contacted using contact info on webpage
http://home.cerge-ei.cz/ldusek/


Description of do-files:

dopris0_master
	serves for running dopris3_modelavg and dopris4_descriptive for selected scenario
dopris3_modelavg
	contains program pminflowsimul with argument that represents name of scenario (base, all2010)
	from simulations_100/`scen_name'/`scen_name'_paramvg_100.dta loads parameters and runs the simulation	
	model outputs state of simulation to console, it takes aprox 15 minutes, based on time horizon selected
	outputs file `scen_name'_wmodelavg_100.dta to simulations_100/`scen_name' folder with resulting time series
dopris4_descriptive
	contains three ploting programs
		paraplot with argument `scen_name' plots parameters of given scenario
		modelfit with argument `scen_name' plots comparison with empirical stocks
		modelcompare with two arguments `scen_name1' `scen_name2' plot comparison between simulated stock of two scenarios
	all programs fetch data from simulations simulations_100/`scen_name'_wmodelavg_100.dta 	
dopris6_parafix
	makes simple scenario and runs it by fixing selected parameters in average value of selected period
dopris9_trendgen
	generates trends for parameters based on several time-series models
dopris15_combine
	combine two scenarios to one by selecting parameters from each of them	
dopris16_adhoc
	contains adhoc scenarios used in papers, can serve as a template for new scenarios	

*/
